package DhMakeELPA::Config;

use strict;
use warnings;

our $VERSION = '0.1.0';

use base 'DhMakePerl::Config';

=head1 NAME

DhMakeELPA::Config - dh-make-elpa configuration class

=cut

my @OPTIONS = ( 'pkg-emacsen!' );

my @COMMANDS = ( 'make' );

# black magic from dh-make-perl:
__PACKAGE__->mk_accessors(
    do {
        my @opts = ( @OPTIONS, @COMMANDS );
        for (@opts) {
            s/[=:!|].*//;
            s/-/_/g;
        }
        @opts;
    },
    'command',
    '_explicitly_set',
);

use constant DEFAULTS => {
                          dh            => 10,
                          data_dir      => '/usr/share/dh-make-elpa',
                          home_dir      => "$ENV{HOME}/.dh-make-elpa",
                          source_format => '3.0 (quilt)',
                         };

sub parse_command_line_options {
    my $self = shift;

    # Will probably want to use GetOpt when more than one option

    $self->pkg_emacsen(grep { $_ eq '--pkg-emacsen' } @ARGV);

    # TODO
    $self->command("make");
}

1;
